Index: lemon/bellman_ford.h
===================================================================
--- lemon/bellman_ford.h	(revision 2476)
+++ lemon/bellman_ford.h	(revision 2517)
@@ -436,5 +436,5 @@
     /// the path.
     ///
-    /// \return %True when the algorithm have not found more shorter
+    /// \return \c true when the algorithm have not found more shorter
     /// paths.
     bool processNextRound() {
@@ -473,5 +473,5 @@
     /// at most k length minimal paths, this is why it is
     /// called just weak round.
-    /// \return %True when the algorithm have not found more shorter paths.
+    /// \return \c true when the algorithm have not found more shorter paths.
     bool processNextWeakRound() {
       for (int i = 0; i < int(_process.size()); ++i) {
@@ -518,6 +518,5 @@
     ///
     /// \pre init() must be called and at least one node should be added
-    /// with addSource() before using this function. If there is
-    /// a negative cycle in the graph it gives back false.
+    /// with addSource() before using this function. 
     ///
     /// This method runs the %BellmanFord algorithm from the root node(s)
@@ -526,4 +525,6 @@
     /// - The shortest path tree.
     /// - The distance of each node from the root(s).
+    /// 
+    /// \return \c false if there is a negative cycle in the graph.
     bool checkedStart() {
       int num = countNodes(*graph);
Index: lemon/min_mean_cycle.h
===================================================================
--- lemon/min_mean_cycle.h	(revision 2509)
+++ lemon/min_mean_cycle.h	(revision 2517)
@@ -251,6 +251,6 @@
     /// \return \c true if a cycle exists in the graph.
     ///
-    /// \note Apart from the return value, m.run() is just a shortcut
-    /// of the following code.
+    /// \note Apart from the return value, <tt>m.run()</tt> is just a
+    /// shortcut of the following code.
     /// \code
     ///   m.init();
@@ -265,4 +265,8 @@
 
     /// \brief Initializes the internal data structures.
+    ///
+    /// Initializes the internal data structures.
+    ///
+    /// \sa reset()
     void init() {
       comp_num = stronglyConnectedComponents(graph, comp);
@@ -342,4 +346,6 @@
     /// and \ref findCycle() can be called again (e.g. when the
     /// underlaying graph has been modified).
+    ///
+    /// \sa init()
     void reset() {
       for (NodeIt u(graph); u != INVALID; ++u)
@@ -354,5 +360,7 @@
     /// Returns the total length of the found cycle.
     ///
-    /// \pre \ref run() must be called before using this function.
+    /// \pre \ref run() or \ref findCycle() must be called before
+    /// using this function. If only \ref findMinMean() is called,
+    /// the return value is not valid.
     Length cycleLength() const {
       return cycle_length;
@@ -363,5 +371,7 @@
     /// Returns the number of edges in the found cycle.
     ///
-    /// \pre \ref run() must be called before using this function.
+    /// \pre \ref run() or \ref findCycle() must be called before
+    /// using this function. If only \ref findMinMean() is called,
+    /// the return value is not valid.
     int cycleEdgeNum() const {
       return cycle_size;
@@ -372,12 +382,17 @@
     /// Returns the mean length of the found cycle.
     ///
-    /// \pre \ref run() must be called before using this function.
+    /// \pre \ref run() or \ref findMinMean() must be called before
+    /// using this function.
     ///
     /// \warning LengthMap::Value must be convertible to double.
     ///
-    /// \note m.minMean() is just a shortcut of the following code.
+    /// \note <tt>m.minMean()</tt> is just a shortcut of the following
+    /// code.
     /// \code
-    ///   return m.cycleEdgeNum() / double(m.cycleLength());
+    ///   return m.cycleLength() / double(m.cycleEdgeNum());
     /// \endcode
+    /// However if only \ref findMinMean() is called before using this
+    /// function, <tt>m.cycleLength()</tt> and <tt>m.cycleEdgeNum()</tt>
+    /// are not valid alone, only their ratio is valid.
     double minMean() const {
       return cycle_length / (double)cycle_size;
